none
.net 2.0 hosting and Visual Studio 2008? RRS feed

  • Question

  • Hi

     

    I am using Visual Studio 2008 to develop a windows application and I would also like to create an ASP.net website. The problem is my current hosting package offers .net 2.0 and from what I can tell, VS2008 uses .net 3.5.

     

    I’m guessing I will run into problems if I create the site in VS2008 and then deploy it on my current hosting package?

     

    If so, is there anyway to restrict VS2008 to using just .net 2.0?

     

    Sorry for the basic question- I’m new to this and trying to get the hang of it!

    Wednesday, December 3, 2008 7:01 PM

Answers

  • I think I found the answer, you can change the .net version you are using in the start-up options.

    • Marked as answer by Beanze Thursday, December 4, 2008 7:10 PM
    Thursday, December 4, 2008 7:10 PM

All replies

  • I think I found the answer, you can change the .net version you are using in the start-up options.

    • Marked as answer by Beanze Thursday, December 4, 2008 7:10 PM
    Thursday, December 4, 2008 7:10 PM
  • Hi Beanze,

    Actually you build Asp.net to 2.0 because the .NET CLR is still 2.0 so VS2008 just adds the relevant references for you as in the IIS forum thread below.  And yes VS2008 comes with targeting which lets you build 2.0 3.0 and 3.5.  Post again if you still have questions.

    http://forums.iis.net/p/1133618/1860351.aspx


    Asp.net MVP, MCPD Web C#, MCTS TFS, MCITP BI and DBA
    Thursday, December 4, 2008 8:02 PM
    Moderator